
		

;---------Background-------

CreateStage
	;Draws Background AND Reads Stage Data	
		
;Draw Background
	LD A,(Stage)
	CP 1
	JP Z,Stage1
	CP 2
	JR Z,Stage2
	CP 3
	JR Z,Stage3
	CP 4
	JP Z,Stage4
	CP 5
	JP Z,Stage5
	CP 6
	JP Z,Stage6	
		
;----------
				
	
Stage1
	LD HL,Stage1Data	
	CALL ReadStageData	
				
	LD HL,18592
	LD DE,Background1
	LD BC,8196 ;32,4
	CALL DrawTile
;Background Color
	LD HL,22944
	LD A,65
	LD (HL),A
	LD DE, 22945
	LD BC,127
	LDIR
;Draw Moon
	LD HL,18524
	LD DE,Moon1
	LD BC,514 ;2,2
	CALL DrawTile
	
	LD A,1
	CALL BottomBack1	
	RET
;------		
Stage2
	LD HL,Stage2Data	
	CALL ReadStageData	
				
	LD HL,18592
	LD DE,Background2
	LD BC,8196 ;32,4
	CALL DrawTile
;Background Color
	LD HL,22944
	LD A,4
	LD B,96
B2ColorA	
	LD (HL),A
	INC HL
	DJNZ B2ColorA
	
	LD A,68
	LD B,32
B2ColorB	
	LD (HL),A
	INC HL
	DJNZ B2ColorB			
		
;Draw Moon
	LD HL,18524
	LD DE,Moon2
	LD BC,514 ;2,2
	CALL DrawTile
	
	LD A,4
	CALL BottomBack1	
	RET		
	
;----------				
Stage3
	LD HL,Stage3Data	
	CALL ReadStageData	
				
	LD HL,18592
	LD DE,Background3
	LD BC,8196 ;32,4
	CALL DrawTile
;Draw Ceiling
	LD HL,18464
	LD B,32
DrawCeil2	
	PUSH HL
	PUSH BC		
	LD DE,Ceiling
	LD BC,260
	CALL DrawTile		
	POP BC
	POP HL
	INC HL
	DJNZ DrawCeil2
;Background Color
	LD HL,22944
	LD A,5
	LD B,128
B5Color	
	LD (HL),A
	INC HL
	DJNZ B5Color
	
	CALL BottomBack2
	RET						
;------
Stage4
	LD HL,Stage4Data	
	CALL ReadStageData	
				
	LD HL,18592
	LD DE,Background1
	LD BC,8196 ;32,4
	CALL DrawTile
;Background Color
	LD HL,22944
	LD A,2
	LD B,128
B6Color	
	LD (HL),A
	INC HL
	DJNZ B6Color	
;Draw Moon
	LD HL,18524
	LD DE,Moon3
	LD BC,514 ;2,2
	CALL DrawTile
	
	LD A,66
	CALL BottomBack1	
	RET
;--------		
Stage5
	LD HL,Stage5Data	
	CALL ReadStageData	
		
	LD HL,18592
	LD DE,Background2
	LD BC,8196 ;32,4
	CALL DrawTile
;Background Color
	LD HL,22944
	LD A,1
	LD B,96
B4ColorA	
	LD (HL),A
	INC HL
	DJNZ B4ColorA
	
	LD A,65
	LD B,32
B4ColorB	
	LD (HL),A
	INC HL
	DJNZ B4ColorB			
		
;Draw Moon
	LD HL,18524
	LD DE,Moon1
	LD BC,514 ;2,2
	CALL DrawTile
	
	LD A,1
	CALL BottomBack1	
			
	RET
;----------		
Stage6
	LD HL,Stage6Data	
	CALL ReadStageData	
				
	LD HL,18592
	LD DE,Background3
	LD BC,8196 ;32,4
	CALL DrawTile
;Draw Ceiling
	LD HL,18464
	LD B,32
DrawCeil1	
	PUSH HL
	PUSH BC		
	LD DE,Ceiling
	LD BC,260
	CALL DrawTile		
	POP BC
	POP HL
	INC HL
	DJNZ DrawCeil1
;Background Color
	LD HL,22816
	LD A,3
	LD B,255
B3Color	
	LD (HL),A
	INC HL
	DJNZ B3Color
	LD (HL),A
	
	CALL BottomBack2	
	RET			
			
;-------------------
ReadStageData
	;Read Level Time if necessary
	LD A,(RestoreTime)
	OR A
	JR Z, ReadStageData2	
	LD A,(HL)
	LD (Time),A ;Level Time
ReadStageData2	
	;Read if Level involves Right OR Left
	INC HL
	LD A,(HL)
	LD (LevelDirection),A
	;determine wHich arrow (Left/Right) Draw at Start of Level
	PUSH HL
	LD DE, GoRightSign
	OR A
	JR NZ,ReadStageData3
	LD DE,GoLeftSign	
ReadStageData3
	;Draw arrow
	LD HL, 20526
	LD BC,1025
	CALL DrawTile
	POP HL
	;Read Zombie Hitpoints
	INC HL
	LD A,(HL)
	LD (ZombieHP),A
	;Read Zombie Move Speed
	INC HL
	LD A,(HL)
	LD (ZombieMoveSpeed),A						
	;Read if Zombies are Spitting
	INC HL
	LD A,(HL)
	LD (SpitExists),A
	;Read if Rat present
	INC HL
	LD A,(HL)
	LD (RatExists),A			
	RET	

;----------------
BottomBack1
	PUSH AF
	;Grass
	LD B,4
	LD DE,GrassData1		
DrawGrass1	
	PUSH BC
	PUSH DE
	LD A,(DE)
	LD L,A	
	LD H,80
	LD DE,Grass01
	LD BC,769
	CALL DrawTile
	POP DE
	POP BC
	INC DE
	DJNZ DrawGrass1
	;stones
	LD B,3
	LD DE,GrassData2		
DrawGrass2	
	PUSH BC
	PUSH DE
	LD A,(DE)
	LD L,A	
	LD H,80
	LD DE,Grass02
	LD BC,513
	CALL DrawTile
	POP DE
	POP BC
	INC DE
	DJNZ DrawGrass2	
	;Color
	POP AF
	LD HL,23264
	LD B,32
BottomColor1
	LD (HL),A
	INC HL
	DJNZ BottomColor1		
	
	RET
GrassData1
	.BYTE 225,229,239,247		
GrassData2
	.BYTE 234,243,253			

BottomBack2
	;Color
	POP AF
	LD HL,23264
	LD B,32
	LD A,7
BottomColor2
	LD (HL),A
	INC HL
	DJNZ BottomColor2
	
	;Bones1
	LD B,3
	LD DE,BonesData1		
DrawBones1	
	PUSH BC
	PUSH DE
	LD A,(DE)
	LD L,A	
	LD H,80
	LD DE,Bones01
	LD BC,1025
	CALL DrawTile
	POP DE
	POP BC
	INC DE
	DJNZ DrawBones1
	;Bones2
	LD B,2
	LD DE,BonesData2		
DrawBones2	
	PUSH BC
	PUSH DE
	LD A,(DE)
	LD L,A	
	LD H,80
	LD DE,Bones02
	LD BC,513
	CALL DrawTile
	POP DE
	POP BC
	INC DE
	DJNZ DrawBones2		
		
	RET
BonesData1
	.BYTE 226,230,243	
BonesData2
	.BYTE 236,250
		
;-------------------		
;Background grapHics

Background1
	;SIZE 32,4			
	.BYTE	  0,  0,  0,  0,115,  0,  0,  0
	.BYTE	  0,  0,  0,  0,154,  0,  0,  0
	.BYTE	  2,  6,230,254, 31, 28, 24, 56
	.BYTE	  0,  0,  0,  0,218,193,  3,  7
	.BYTE	  0,  0,  0,  0, 25,192,224,240
	.BYTE	  0,  0,  0,  0,207,  0,  0, 31
	.BYTE	  0,  0,  0,  0,206,  0,  0,240
	.BYTE	 12, 12, 12, 63, 63, 12, 12, 63
	.BYTE	  0,  0,  0,  0,115,  0,  0,  0
	.BYTE	  0,  0,  0,  0,253,  0,  0,  0
	.BYTE	  0,  1,  1,  1,199, 15, 25, 25
	.BYTE	  0, 64, 64, 64,115,120, 76, 76
	.BYTE	  0,  0,  0,  0,207,  0,  3,  6
	.BYTE	  0,  0,  0,  0, 91,  0,224,176
	.BYTE	  0,  0,  0, 48,123,120,120,120
	.BYTE	  0,  0,  0,  0, 35,  8, 28,  8
	.BYTE	  0,  0,  0,  0,159,  0,  0,  0
	.BYTE	  0,  0,  0,  0, 50,  0,255,129
	.BYTE	  0,  0,  0,  0,230,  0,127,127
	.BYTE	  0,  0,  0,  0,121,  0,246,189
	.BYTE	  0,  0,  0,  0,220,  0,171, 82
	.BYTE	  0,  0,  0,  0,243,  0,252,  4
	.BYTE	  0,  0,  1,  3,201,  1,  3,  7
	.BYTE	  0,  0,  0,128, 57,  0,128,192
	.BYTE	  0,  0,  0,  0, 39,  0,  0,  0
	.BYTE	  0,  0,  0, 10,204, 10, 12, 10
	.BYTE	  0,  0,  0,  0,126,  0,  0,  0
	.BYTE	  0,  0,  0,  0, 60,  0,  0,  0
	.BYTE	  0,  0,  0,  0,153,  0,  2,  7
	.BYTE	  0,  0,  0,  0, 30,  0,  0,  0
	.BYTE	  0, 62, 34, 42,170, 42, 42, 42
	.BYTE	  0,  0,  0,  0,215,  0,  0,  0

	.BYTE	 0, 16,124, 16, 16, 16,124,254
	.BYTE	  0,  0, 64,  0,  0,  0,  7, 30
	.BYTE	 56,112,112,224,224,  0,254,171
	.BYTE	  7,  7,  7, 71,  7,  7,  0,  0
	.BYTE	240,240,240,240,241,241,  1,  1
	.BYTE	 32, 74,157,170,  0,117, 81,117
	.BYTE	  8,164, 82,130,  3, 29, 85, 29
	.BYTE	 63,127,  0,  0,  0, 32,  0,  0
	.BYTE	  0,156,  8, 73,127, 73,  8,  8
	.BYTE	  0,  0,  8,  0,  0,  0, 24, 52
	.BYTE	 49, 49,255,  0,255, 49, 49, 25
	.BYTE	 70, 70,127,  0,127, 70, 70, 76
	.BYTE	 13, 26,156, 26,157, 26, 29, 30
	.BYTE	 88,172, 68,164, 84,164, 84,164
	.BYTE	  0,  0,  0,  0,  1,  3,  2,  3
	.BYTE	  8, 62, 62,  0,255, 85,170,  0
	.BYTE	  0,  0,  0,  0,240, 80,176, 80
	.BYTE	126,  0, 86, 86, 86, 86, 86, 86
	.BYTE	  0,255,128,159,175,176,183,183
	.BYTE	  0,255,  0,255,255,  0,250,117
	.BYTE	  1,252,  5,229,213, 53,181, 53
	.BYTE	248,  0, 88, 88, 88, 88, 88, 88
	.BYTE	  0,  0, 63, 32, 43, 37, 42, 38
	.BYTE	  0,  1,252,  4,212,164, 84,100
	.BYTE	 24, 60, 60, 60, 60, 60,  0,  0
	.BYTE	 13,254,253,  6,  5,  6,  5,  6
	.BYTE	 80,176,  0,  0,  0,  0,  0,  0
	.BYTE	  0,  0,  0, 63,126,245,234,209
	.BYTE	  7,  7,  0,  0,132, 64,192, 64
	.BYTE	  7,  4,  5,  4,  7, 96,  0,  0
	.BYTE	235,  8,255,  8,235, 42, 42, 42
	.BYTE	240, 16,208, 16,240,  0,  0,  0

	.BYTE	  0,  0,  0,  0, 24, 60, 24,  0
	.BYTE	 63,127,255,255,255,255,255,255
	.BYTE	 80,168,212,232,212,234,244,234
	.BYTE	129, 67, 33, 32, 32, 32, 32, 32
	.BYTE	129,193,129,  1,  1,  1,  1,  1
	.BYTE	 97, 85,  0, 10, 85, 42,117, 43
	.BYTE	 81, 17, 69,169,113,169, 85,169
	.BYTE	  0,  0,  0,  0,  1, 34,  5,  0
	.BYTE	  8, 28,127,170, 85,170, 85,  0
	.BYTE	 24,  0,  0,128, 64,160, 80,  0
	.BYTE	 25, 15,  7,  1,  1,  1,  1,  0
	.BYTE	 76,120,112, 64, 64, 64, 64,  0
	.BYTE	 29, 26, 29, 26,  0,  0,  0,  0
	.BYTE	 20,164, 84,164,  0,  0,  0,  0
	.BYTE	  4,  4,  4,  5,  8, 13, 10, 13
	.BYTE	255,  0,  0,254,  0, 85,170, 85
	.BYTE	 48, 96, 32, 96,160, 76,218, 76
	.BYTE	 86, 86, 86, 86, 86, 86, 86, 86
	.BYTE	181,183,181,183,176,175,159,128
	.BYTE	250,212,170, 64,  0,255,255,  0
	.BYTE	 53, 53, 53, 53, 53,213,229,  5
	.BYTE	 88, 88, 88, 88, 88, 88, 88, 88
	.BYTE	 44, 36, 46, 38, 42, 37, 43,  0
	.BYTE	 52, 36,116,100, 84,164,212,  0
	.BYTE	  0,  0,  0,  7,  0,  0,  0,  0
	.BYTE	  3,  3,  2,  3,  2,  0, 31,255
	.BYTE	128,  0,128,  0,128,  0,248,  6
	.BYTE	170,212,168,255,  0,  0,  0,  0
	.BYTE	 64, 64, 64,192,  0,  0,  0,  0
	.BYTE	  0,  0,  0,112,200,240,  0,  0
	.BYTE	 42, 42, 42, 42, 42, 42, 42, 42
	.BYTE	  0,  0,  0,  0, 60,126,  0,  0

	.BYTE	  0,  0,  0,  0,  8,  0,  0,  0
	.BYTE	  0,  0, 64,  0,  0,  0,  2,  0
	.BYTE	  0,  0, 48,112, 32,  0,  0,  0
	.BYTE	  0,  0,  0, 15, 28, 26, 29, 15
	.BYTE	  1,  1,  1,193, 33,160, 64,128
	.BYTE	 85, 42, 21,  0,255,  0,  0,  0
	.BYTE	 85,169, 85,  1,255,  0,  0,  0
	.BYTE	  0,  0,  0,  0, 15, 25, 30, 15
	.BYTE	  0,  0,  0,  0,  0,128,128,  0
	.BYTE	  0,192,  0,  0,  0,  0,  0,  0
	.BYTE	255,128,191,191,128,255,  0,  0
	.BYTE	255,  0,254,254,  0,255,  0,  0
	.BYTE	129,131,131,131,129,128,  0,  0
	.BYTE	224, 16,136,216,240,  0,  0,  0
	.BYTE	 26, 21, 26, 21, 31,  0,  0,  0
	.BYTE	170, 85,170, 84,255,  0,  0,  0
	.BYTE	 64,128,128,128,  0,  0,  0,  0
	.BYTE	 86,  0,126,129,255,  0,  0,  0
	.BYTE	255,  0,127,127,127,  0,  0,  0
	.BYTE	255,  0,254,237,186,  0,  0,  0
	.BYTE	253,  0,169, 82,171,  0,  0,  0
	.BYTE	 88,  0,248,  4,252,  0,  0,  0
	.BYTE	 61, 24,  0,  0,  0,  0,  0,  0
	.BYTE	 48,  0,  0,  1,  3,  0,  0,  0
	.BYTE	  1, 67,  3,131,195,  0,  0,  0
	.BYTE	234,212,168,208,168,  0,  0,  0
	.BYTE	  1,  0,  6,  3,  1,  0,  0,  0
	.BYTE	  0,128, 64, 64, 64,  0,  0,  0
	.BYTE	 30, 53,104,212,255,  0,  0,  0
	.BYTE	  0,128, 64, 32,224,  0,  0,  0
	.BYTE	 42, 34, 85,170,  0,  0,  0,  0
	.BYTE	  0,  0,  0,128,  0,  0,  0,  0

;attr
	.BYTE 255
;----------		
Background2
	;size 32,4		
	.BYTE	  16
	.BYTE	  16
	.BYTE	  16
	.BYTE	  16
	.BYTE	  0,  0,  0,  0,  0,  0,  0,  4
	.BYTE	  16
	.BYTE	  1,  2,  4, 11, 22, 45, 90,128
	.BYTE	  0,128, 64, 32,144, 72,164,  2
	.BYTE	  0,  0,  0,  0,  0,  0, 30,  9
	.BYTE	  0,  0,  0,  0,  0,  0,  0,128
	.BYTE	  0,  4,  8, 24, 40, 72,128,131
	.BYTE	  0,  0,  0,  0,  0,  0,240, 32
	.BYTE	  16
	.BYTE	 16
	.BYTE	  16
	.BYTE	  16
	.BYTE	  8, 28,  8,  8, 21, 43, 93,  0
	.BYTE	  0,  0,  0,  0,248, 68,162,  0
	.BYTE	  16
	.BYTE	  16
	.BYTE	  16
	.BYTE	  0,  0,  0,  1,  1,  3,  3,  7
	.BYTE	  16
	.BYTE	  16
	.BYTE	  16
	.BYTE	  16
	.BYTE	  0,  0,  0,  0, 64, 64, 34, 20
	.BYTE	  0,  0,  0, 16, 32, 65, 67,133
	.BYTE	  0,  0,  0, 64,128,  0,192,  0
	.BYTE	  16
	.BYTE	  16
	.BYTE	  16

	.BYTE	  0,  0,  0,  0,  0,  7, 31, 63
	.BYTE	  0,  0,  0,  0,  0,224,248,252
	.BYTE	 16
	.BYTE	  1,  0,  0,  0, 28, 11,  9,137
	.BYTE	 40,240, 32, 17, 18, 14,198, 62
	.BYTE	 28,104,168, 32, 32,  0,  0,  0
	.BYTE	255,  0,255,176,235,125,205,209
	.BYTE	254,  0,254, 26,190,118,100, 22
	.BYTE	  8,  8,  0,  0,  0,  0,  0,  0
	.BYTE	193,161,145,153, 21, 19, 19,  3
	.BYTE	 15, 49, 81,136,136,136,  0,  0
	.BYTE	 32,  0,  0,  0,  0,112,115, 79
	.BYTE	  16
	.BYTE	  16
	.BYTE	  16
	.BYTE	 16
	.BYTE	126,126, 66, 82, 74, 82, 74,  0
	.BYTE	254,254,146,146,146,254,254,  0
	.BYTE	  16
	.BYTE	  16
	.BYTE	  16
	.BYTE	  7,  7, 62,253,254, 13, 10, 12
	.BYTE	  0,  0,  0, 80,160, 80,  0,  0
	.BYTE	  0,  0,  0,  0, 15, 29, 58,117
	.BYTE	  0,  0,  0,  0,248, 68,162, 81
	.BYTE	  0,  0,  3,  0,  0,  3,  0,  0
	.BYTE	  8,112, 12,131, 64,224, 24,  7
	.BYTE	152,176,224,192,193,194,196,220
	.BYTE	128, 64,  0,128,  0,  0,  0,  0
	.BYTE	  1,  1,  7,  9, 17, 17,127, 96
	.BYTE	192,192,112, 72, 68, 68,127,  3
	.BYTE	 16

	.BYTE	 62, 53, 42, 52, 43, 48, 39,  0
	.BYTE	172, 84,132,  4,196,  4,228,  0
	.BYTE	  1,  1,  7, 15,  1,  1,  1,  1
	.BYTE	  1,128, 80,160,  0,128,  0,128
	.BYTE	  7,  7,  3,  3,  1,  0,  0, 32
	.BYTE	  0,  0,128,192,224,240,112,120
	.BYTE	 95,209,205,221,187,208,255,192
	.BYTE	246, 18,102,118,190, 22,252,  6
	.BYTE	 16
	.BYTE	  7,  7,  7,  6,  6,  6, 14, 14
	.BYTE	  0,  3,  3,  0,  0,  0,  0, 16
	.BYTE	180,176,  8, 60, 28, 28, 14, 14
	.BYTE	  0,  0,  0,  0,  4, 14, 14,142
	.BYTE	  0,  0,  0,  0,  0,  0,  0,  1
	.BYTE	  0,  0,  0,  1,  7, 30,123,255
	.BYTE	  0, 15,125,159,254,237,250,213
	.BYTE	127,213,170, 85,170, 80,132,  0
	.BYTE	255, 84,168,  0, 32,  8,128,  0
	.BYTE	252,  3,  0,128, 16,  0,  0,  0
	.BYTE	  0,192, 48,  8,  4,  2, 65,  0
	.BYTE	  0,  0,  0,  0,  0,  0,  0,130
	.BYTE	 10, 20, 24, 20, 24, 48, 40, 48
	.BYTE	 16
	.BYTE	106,112,110,106,108,106,112,106
	.BYTE	169,  1,185,169,185,161,  5,169
	.BYTE	 16
	.BYTE	  16
	.BYTE	248,240,224,224,224,224,243,211
	.BYTE	  0,  0,  0,  0,192,192,240,240
	.BYTE	127, 17, 17,  9,  7,  1,  1,  1
	.BYTE	127, 68, 68, 72,112, 64, 64, 64
	.BYTE	  0,  0,  0,  0,  0,  0,  0,  1

	.BYTE	 34,170,235,239,255,255,255,255
	.BYTE	 82, 82,211,251,251,255,255,255
	.BYTE	  2, 42,107,123,251,255,255,255
	.BYTE	 10,154,155,191,255,255,255,255
	.BYTE	160,176,178,178,250,251,255,255
	.BYTE	 56,172,148,146,218,254,254,254
	.BYTE	223, 95,221,202,208,128,223,251
	.BYTE	 70,162, 70,132,  6,  6,122,222
	.BYTE	  2,162,170,170,255,255,255,255
	.BYTE	 78, 68,202,234,235,251,255,255
	.BYTE	144,153,185,189,253,253,255,255
	.BYTE	 14, 85, 81,209,251,255,255,255
	.BYTE	142,144,149,213,223,255,255,255
	.BYTE	 19, 81, 90, 90,127,255,255,255
	.BYTE	251,222,172,170,119,255,255,255
	.BYTE	128,  0, 68, 84, 86,254,255,255
	.BYTE	  0, 68, 76, 76,110,238,255,255
	.BYTE	  1,  1, 21, 85,213,223,255,255
	.BYTE	  4,  4, 37,173,175,255,255,255
	.BYTE	  2,  2,  2, 23, 23, 95,223,255
	.BYTE	 66, 82, 55, 63,127,255,255,255
	.BYTE	 40, 80, 74, 82, 91,255,255,255
	.BYTE	  0,  0,  0, 72, 72,221,255,255
	.BYTE	113,106, 53, 82,107,111,255,255
	.BYTE	 69,169, 85,137,221,254,255,255
	.BYTE	  0,  0,  8,  8, 74,239,255,255
	.BYTE	  0,128,128,202,238,255,255,255
	.BYTE	144,144,208,177, 85,101,247,255
	.BYTE	192,192,192, 32,233,233,235,239
	.BYTE	  1,  1, 69, 84, 89,114,229,234
	.BYTE	 64, 64, 82, 18, 78,167, 83,171
	.BYTE	 17, 17, 27, 91,127,127,127,255
	;attr
	.BYTE 255

;----------		
Background3
		
	.BYTE	  0,241, 91,170, 10,241,  0,255
	.BYTE	  0,252, 86,170,  2,252,  0,239
	.BYTE	  0,127,212,168,129,125,  2,226
	.BYTE	 15, 48, 79,176, 64, 64,128,128
	.BYTE	255,  0,255,  0,  0,  0,  0,  0
	.BYTE	255,  0,255,  0, 31, 63,127,250
	.BYTE	255,  0,255,  0,255,234, 85,170
	.BYTE	255,  0,255,  0,255,170, 85,170
	.BYTE	255,  0,255,  0,255,168, 64,  0
	.BYTE	255,  0,255,  0,192, 32, 16,  8
	.BYTE	255,  0,255,  0,  0,  0,  0,  0
	.BYTE	128,103,145,104, 20, 21, 10, 10
	.BYTE	  0,241, 91,170, 10,241,  0, 63
	.BYTE	  0,252, 86,170,  0,248,  1,131
	.BYTE	  0,127,213,170,  0, 63,  0,131
	.BYTE	  0, 31,181,170,160, 31,  0,248
	.BYTE	  1,194,101,170, 20,168, 80,160
	.BYTE	255,  0,255,  0, 18, 35, 87,164
	.BYTE	255,  0,255,  0, 72,196,234,133
	.BYTE	128, 71,173, 82, 40, 21, 10,  5
	.BYTE	  0,241, 91,170, 10,241,  0, 63
	.BYTE	  0,252, 86,170,  2,252,  0,191
	.BYTE	  0,127,213,170,128,127,  0,251
	.BYTE	  0, 30,180,168,160, 30,  0,248
	.BYTE	168,200,200,152,113,  3,112,235
	.BYTE	 31, 63,127,250,245,255,  0,255
	.BYTE	255,234, 85,170, 85,255,  0,255
	.BYTE	255,170, 85,170, 80,255,  0,243
	.BYTE	255,168, 64,  0,  0,255,  0,255
	.BYTE	192, 32, 16,  8,  4,254,  0,254
	.BYTE	168,203,201,152,112,  3,112,232
	.BYTE	  0,199,109,170, 40,199,  0,254

	.BYTE	154,170,154,170,255,251,241,251
	.BYTE	106,165, 96,239,224,236,230,234
	.BYTE	178, 82, 18,229,  5,117,213,165
	.BYTE	128,128,128, 31, 31, 12,  7,  0
	.BYTE	  1,  3,  0,243, 19, 35,193,  1
	.BYTE	245,255,  0,255,190,213,170,213
	.BYTE	 85,255,  0,255,219,142,170,141
	.BYTE	 80,255,  0,243,243,  0,  0,243
	.BYTE	  0,255,  0,255,183,226,171, 98
	.BYTE	  4,254,  0,254, 82,162, 68,132
	.BYTE	  0,  0,  0,127,124, 48, 31,  0
	.BYTE	 10, 10, 10,197, 69,133,  5,  5
	.BYTE	106, 85, 64, 32, 15,119, 91, 40
	.BYTE	199, 71, 15,  0,247,239,239,223
	.BYTE	198,197,224,  0,223,239,239,246
	.BYTE	172, 84,  4,  0,224,206,132, 10
	.BYTE	161,161,162,162,165,165,165,171
	.BYTE	103,102,195,207,159,191,127,118
	.BYTE	102, 38,195,243,249,253,254,110
	.BYTE	133,133, 69, 69,165,165,165,213
	.BYTE	106, 85, 64, 63,  0,113, 91, 42
	.BYTE	 38, 42, 38,170, 63,190, 60,190
	.BYTE	154,169,152,187,248,251,121,250
	.BYTE	172, 84,  4,248,  0, 30,180,168
	.BYTE	203,171,201,201,152,112,  0,112
	.BYTE	190,213,170,213,234,128,127,  0
	.BYTE	219,142,170,141,250,  0,255,  0
	.BYTE	243,  0,  0,243,178,  0,255,  0
	.BYTE	183,226,171, 98,188,  0,255,  0
	.BYTE	 82,162, 68,132,  8,  8,240,  0
	.BYTE	201,169,201,200,152,115,  1,112
	.BYTE	168, 84,  0,254,  0,198,108,170

	.BYTE	251,255,  0, 63,106, 85, 64, 63
	.BYTE	226,236,  0,143,218, 85, 80,143
	.BYTE	133,117,  5,229,181, 85, 21,229
	.BYTE	  1,  2,  1,  2,  1,  2,  1,  0
	.BYTE	128,128,128,128,135,129,  0,  3
	.BYTE	234,128,127,  0,255,255,  0,253
	.BYTE	250,  0,255,  0,255,255,  0,127
	.BYTE	178,  0,255,  0,255,255,  0,239
	.BYTE	188,  0,255,  0,255,255,  0,237
	.BYTE	  8,  8,240,  0,255,252,  0,254
	.BYTE	  6, 10,  6, 10,  6, 10,  4,  0
	.BYTE	  5,  5,  5,  5,  5,  5,  5,  5
	.BYTE	  8,112,  0, 60,104, 81, 65, 56
	.BYTE	  7,121,126,252,240,192,128, 15
	.BYTE	192, 60,252,126, 30,  7,  3,224
	.BYTE	 32, 30,  0, 56, 44, 20,  4,120
	.BYTE	171,171,171,167,166,164,165,168
	.BYTE	117,187,187, 29,109,238,246,242
	.BYTE	174,221,221,184,182,183,111,207
	.BYTE	213,213,213,229,101, 37,165, 21
	.BYTE	 10,113,  0, 63,106, 85, 64, 63
	.BYTE	 62,191,  0,143,218, 85, 80,143
	.BYTE	248,251,  0,227,182, 85, 20,227
	.BYTE	160, 30,  0,248,172, 84,  4,248
	.BYTE	232,200,168,200,201,155,112,  3
	.BYTE	 31, 63,127,250,245,255,  0,255
	.BYTE	255,234, 85,170, 85,255,  0,255
	.BYTE	255,170, 85,170, 80,255,  0,243
	.BYTE	255,168, 64,  0,  0,255,  0,255
	.BYTE	192, 32, 16,  8,  4,254,  0,254
	.BYTE	232,203,168,200,201,153,113,  0
	.BYTE	 40,198,  0,254,171, 85,  1,254

	.BYTE	  0,241, 91,170, 10,241,  0,  0
	.BYTE	  0,252, 86,170,  2,252,  0,  0
	.BYTE	  5,117,213,165,133,117,  5,  5
	.BYTE	  0,  0,  0,  0,  0,  0,  0,  0
	.BYTE	  1,  0,  1,  1,  1,  0,  1,  3
	.BYTE	249,  0, 89, 89, 89,  1,249,252
	.BYTE	253,192,223,209,210,159,192,251
	.BYTE	253,  0,255, 17, 34,255,  0,253
	.BYTE	252, 28,216, 92, 92,212, 28,253
	.BYTE	252,  0,172,172,172,  0,252,254
	.BYTE	  0,  0,  0,  0,  0,  0,  0,  0
	.BYTE	  5,  5,  5,  5,  5,  5,  5,  5
	.BYTE	  0,113, 91, 42, 10,113,  0,  0
	.BYTE	  0,252, 86,170,  2,252,  0,  0
	.BYTE	  0,127,213,170,128,127,  0,  0
	.BYTE	  0, 30,180,170,160, 30,  0,  0
	.BYTE	168,168,160,160,160,161,161,161
	.BYTE	120, 28, 14, 28,  0,255,255,  0
	.BYTE	 30, 56,112, 56,  0,255,128,  0
	.BYTE	 21, 21,  5,  5,  5,133,133,133
	.BYTE	  0,113, 91, 42, 10,113,  0,  0
	.BYTE	  0,252, 86,170,  2,252,  0,  0
	.BYTE	  0,127,213,170,128,127,  0,  0
	.BYTE	  0, 30,180,168,160, 30,  0,  0
	.BYTE	115,235,201,169,200,200,152,112
	.BYTE	190,213,170,213,234,128,127,  0
	.BYTE	219,142,170,141,250,  0,255,  0
	.BYTE	243,  0,  0,243,178,  0,255,  0
	.BYTE	183,226,171, 98,188,  0,255,  0
	.BYTE	 82,162, 68,132,  8,  8,240,  0
	.BYTE	112,235,201,168,200,203,152,112
	.BYTE	  0,199,109,170, 40,199,  0,  0

	;attr
	.BYTE 255