		DEVICE ZXSPECTRUM128

       
		ORG 29598
StartGame
	 ;JR StartGame
     CALL 35070 ; first music after loading screen
	
StartGame1	
	EI
	LD SP,65535
	
	
	JP StartMenu ;go to menu

		
StartGame2 ;game start chosen from menu
	LD A,3
	LD (Lives),A
	LD A,1
	LD (Distance),A
	LD A,1
	LD (Stage),A
	LD (RestoreTime),A
	LD HL,0
	LD (Score),HL
	
	CALL IntroDemo
			
	
;----------
StartLevel
	CALL ClearScreenEffect						
StartLevel1
	XOR A
	LD (PamDeathStatus),A; alive	
	LD (LeftZombieStatus),A
	LD (RightZombieStatus),A;no Zombies at Start	
	LD (InitialPamFire),A	
	LD (PamBulletStatus),A
	LD (LeftSpitStatus),A
	LD (RightSpitStatus),A;no bullets			
		
	LD A,222
	LD (RatL),A;Rat position
		
	
;write "Stage 1" and Draw Pamela on blank screen		
	LD A,(Stage)
	ADD A,31
	LD (StageNr),A	
	LD HL,18636
	LD DE,StageText
	CALL TypeText
	
	
	LD BC,5*256+10
	LD DE,PamBig
	LD HL,16384+141
	CALL DrawTile
				
	LD B,180		
StTextDelay
	HALT
	DJNZ StTextDelay 

	CALL ClearScreenEffect
	CALL GameMenu
	CALL CreateStage
		
	;Draw hero
	CALL Stand
;--------		
;Animate Start arrow (Cycle Colors)
	LD HL,23086
	LD A,70
	LD C,20
GoSignAnim1	
	LD B,7
	PUSH AF	
GoSignAnim2	
	PUSH HL	
	LD (HL),A
	INC HL
	LD (HL),A
	INC HL
	LD (HL),A
	INC HL
	LD (HL),A
	POP HL
	HALT
	DEC A
	DJNZ	GoSignAnim2				
	POP AF
	DEC C
	JR NZ, GoSignAnim1
	

	
;MAIN LOOP		
;-------------------				
MainLoop
	;Change Game Cycles
Cycle1
	LD HL,GameCycle
	INC (HL)
	
	LD HL,ZombieMoveCycle
	DEC (HL)
	LD A,(HL)
	CP 255
	JR NZ,Cycle2
	;Cycle is Over, Restore Cycle
	LD A,(ZombieMoveSpeed)
	LD (HL),A	
Cycle2		
		
	HALT	
	CALL AnimatePamela
	CALL AnimatePamBullet
	
	LD A,(SpitExists)
	OR A	
	CALL NZ,AnimateZombieSpit
	CALL AnimateZombie
	
	LD A,(RatExists)
	OR A
	CALL NZ,DisplayRat
	CALL DrawDistanceBar		
	CALL DisplayTime	
		
		;check if Pamela Dead
		LD A,(PamDeathStatus)
		OR A
		JP NZ,PamDie
		;check if Time Over
		LD A,(Time)
		OR A;  0 = End of Time
		JP Z,TimeOver
			
	JP MainLoop	
	
		
		
;------------------------------------------		
AnimatePamela
;PAMELA FIRING		
;check if firing bullet, if so, can't do anytHing else
	LD HL,InitialPamFire
	LD A,(HL)
	OR A
	JR Z,AnimatePamela2;no firing
	
	DEC (HL);decrease firing Time
	JR Z,PamFinishFire 
	
	LD A,(HL)
	CP 1
	RET NZ ;pamela shooting so don;t do anything else and return
	;firing almost finished, Restore non firing frame	
	PUSH IX;frame to be Restored was stored in IX
	POP DE
	
	LD HL,20558 
	LD BC,1029 ;4,5
	CALL DrawTile	
	RET
	
	; firing finished	
PamFinishFire	
	DEC HL;go to bullet status
	LD A,1
	LD (HL),A ;Change  bullet status to make bullet appear
	RET	
;------------------		
AnimatePamela2
	;check if jumping, if so, also can't do anytHing else	
	LD HL,PamJumpTime
	LD A,(HL)
	OR A
	JR Z,AnimatePamela3 ;no jumping		
	
	PUSH HL
	;Draw jumping frame
	
	LD DE,PamJumpR
	LD A,(Direction)
	OR A
	JR NZ,DrawJumpFrame
	LD DE,PamJumpL		

DrawJumpFrame
	LD HL,20526
	LD BC,1030 	
	CALL DrawTile
	
	POP HL;Restore jump Time		
		
	DEC (HL);decrease jumping Time
	RET NZ; jumping, cant do anytHing else so Return from control routine
	;End of jump
	;clear upper Line of Pamela
	XOR A
	LD HL,23087
	LD (HL),A
	INC HL
	LD (HL),A
	;Draw Pam Standing(facing Left OR Right)
	LD HL,20558
	LD BC,1029 ;4,5
	PUSH IX
	POP DE; put IN DE frame stored IN IX
	CALL DrawTile			
	RET			
					
AnimatePamela3				
	;check, joystick OR keyboard used for control
	LD A,(GameControl)
	OR A
	JR Z,	KeyboardControl
		
JoystickControl
	LD BC,31
	IN A,(C)
	JR PamelaActions			
	
		
KeyboardControl
	;the aim is to Set bits of A as it would be joystick
	LD D,0
	LD BC,57342; o,p	
	IN A,(C)
	CPL
	AND 00000011;B
	LD D,A
	LD BC,64510;q
	IN A,(C)
	CPL
	AND 1
	RLA
	RLA
	RLA
	OR D		
	LD D,A		
	LD BC,65022;A
	IN A,(C)
	CPL
	AND 1
	RLA
	RLA
	OR D
	LD D,A
	LD BC,32766
	IN A,(C)
	CPL
	AND 4
	RLA
	RLA
	OR D ;BIT set Ready
		
PamelaActions
	;Reads Either from joystick OR keyboard what Pamela should do
	;action pattern is is A		
	PUSH AF
	OR A ;nothing	
		CALL Z,Stand
	POP AF	
		
		
	PUSH AF
	CP 1
		CALL Z,GoRight
	POP AF
	PUSH AF
	CP 2
		CALL Z,GoLeft
	POP AF
	PUSH AF
	BIT 2,A
		CALL NZ,Crouch
	POP AF
	PUSH AF
	BIT 4,A
		CALL NZ,PamFire
	POP AF	
	BIT 3,A
		CALL NZ,BeginJump	
	RET
	
			

;-----PamELA FRAMES-----		
Stand		
	XOR A;Set crouch to 0 
	LD (CrouchStatus),A
	LD HL,20558
	LD DE,PamStand
	LD BC,1029 ;4,5
	CALL DrawTile
	RET
;----------
GoRight
	XOR A;Set crouch to 0 
	LD (CrouchStatus),A
	
	INC A 
	LD (Direction),A
	
	
	CALL  MoveBackgroundLeft
		
	LD A,(GameCycle)
	;Change Distance
	PUSH AF
	AND 00011111b
	OR A;check if 0
	JR NZ,NotChangeDistRight
	;some Levels you go Left, other Right, Read it AND Change Distance appropriately	
	LD A,(LevelDirection)
	OR A
	JR Z,DecDistRight			
		
;Level needs going Right		
IncDistRight		
	LD HL,Distance
	INC (HL)
	LD A,(HL);check if all Distance cOvered
	
;!!!!!!!!!!!!		
	CP 64
	;CP 2	
	JP Z,NewLevel
	JR NotChangeDistRight
;Level needs going Left
DecDistRight
	LD HL,Distance
	LD A,(HL)
	CP 1
	JR Z,NotChangeDistRight ; edge reached
	DEC (HL)	
	
				
NotChangeDistRight	
	LD HL,20558
	LD BC,1029 ;4,5
	POP AF	
	;Change frame	
	BIT 4,A
		
	PUSH AF
	CALL Z,PamWalkRFrame1
	POP AF
	CALL NZ,PamWalkRFrame2	
	RET

PamWalkRFrame1
	LD DE,PamWalkR1
	CALL DrawTile
	RET	
PamWalkRFrame2
	LD DE,PamWalkR2
	CALL DrawTile
	RET
;--------
GoLeft
	XOR A;Set crouch to 0 
	LD (CrouchStatus),A
	LD (Direction),A
	
	CALL Z,MoveBackgroundRight
	
	LD A,(GameCycle)
	;Change Distance
	PUSH AF
	AND 00011111b
	OR A;check if 0=not Change Distance
	JR NZ,NotChangeDistLeft
	;some Levels you go Left, other Right, Read it AND Change Distance appropriately	
	LD A,(LevelDirection)
	OR A
	JR NZ,DecDistLeft			
	
;Level needs going Left
IncDistLeft
	LD HL,Distance
	INC (HL)
	LD A,(HL);check if all Distance covered
;!!!!!
	CP 64
	;CP 2	
	JP Z,NewLevel
	JR NotChangeDistLeft	
		
;Level needs going Right
DecDistLeft
	LD HL,Distance
	LD A,(HL)
	CP 1
	JR Z,NotChangeDistLeft ; edge reached
	DEC (HL)	
		
NotChangeDistLeft
	
	LD HL,20558
	LD BC,1029 ;4,5	
	POP AF; Restore Game Cycle	
	
	BIT 4,A
	PUSH AF
	CALL Z,PamWalkLFrame1
	POP AF
	CALL NZ,PamWalkLFrame2	
	RET

PamWalkLFrame1
	LD DE,PamWalkL1
	CALL DrawTile
	RET	
PamWalkLFrame2
	LD DE,PamWalkL2
	CALL DrawTile
	RET
;-------		
Crouch
	;check if firing,if so execute another piece of code
	BIT 4,A
	RET NZ
		
	LD A,1
	LD (CrouchStatus),A;set crouch to 1
			
	LD HL,20558; position
	LD BC,1029 ;4,5
	
	LD A,(Direction)
	OR A
	PUSH AF
	CALL Z,CrouchLeft
	POP AF
	CALL NZ,CrouchRight		
	RET
	
CrouchLeft
	LD DE,PamCrouchL
	CALL DrawTile
	RET
CrouchRight	
	LD DE,PamCrouchR
	CALL DrawTile
	RET
;-------
PamFire
		
;set crouch status if fire when croucHing
	BIT 2,A
	JR Z,PamFire2
	LD A,1
	LD (CrouchStatus),A;set crouch to 1	if needed	
		
PamFire2		
	
	;fire only if bullet don't exist
	LD A,(PamBulletStatus)
	OR A
	RET NZ ;if bullet exist don't shoot another bullet
		
	LD HL,20558
	LD BC,1029 ;4,5	
	LD A,(Direction)
	OR A
	PUSH AF
	CALL NZ,PamFireRight
	POP AF
	CALL Z,PamFireLeft
	RET
;------
PamFireRight
	LD A,(CrouchStatus)
	OR A
	JR NZ,PamFireRightCrouch
	
	LD IX,PamWalkR1; store IN IX frame after firing
	LD DE,PamFireStandR
	CALL DrawTile	
	LD A,113
	CALL CreatePamBullet
	RET
		
PamFireRightCrouch
	LD IX,PamCrouchR; store IN IX frame after firing
	LD DE,PamFireCrouchR
	CALL DrawTile	
	LD A,145 ;bullet Initial pos
	CALL CreatePamBullet
	RET
;------
PamFireLeft
	LD A,(CrouchStatus)
	OR A
	JR NZ,PamFireLeftCrouch
	
	LD IX,PamWalkL1; store IN IX frame after firing
	LD DE,PamFireStandL
	CALL DrawTile	
	LD A,110
	CALL CreatePamBullet
	RET
		
PamFireLeftCrouch
	LD IX,PamCrouchL; store IN IX frame after firing
	LD DE,PamFireCrouchL
	CALL DrawTile	
	LD A,142
	CALL CreatePamBullet
	RET
;----------
CreatePamBullet
	LD HL,PamBulletL
	LD (HL),A;write position
	DEC HL
	LD A,(Direction)
	LD (HL),A ;BulletDirection=PamDirection
	DEC HL			
	LD A,20
	LD (HL),A ;set Initial fire to 20 frames,firing animation
	RET
;------------------
BeginJump
	LD A,(CrouchStatus)
	OR A
	RET NZ ;no jumping when croucHing
		
	LD A,70
	LD (PamJumpTime),A
	
	
	
	LD DE,PamJumpR
	LD IX,PamWalkR1
	LD A,(Direction)
	OR A
	JR NZ,BeginJump2
	LD DE,PamJumpL
	LD IX,PamWalkL1		
BeginJump2		
	;Draw jumping frame
	LD HL,20526
	LD BC,1030 	
	CALL DrawTile	
	RET
		
;-----ANIMATE Pam BULLET----------------
AnimatePamBullet
	LD A,(PamBulletStatus)
	OR A
	RET Z; status=0 means no bullet so Return
;DraWing Pam bullet
		
	LD A,(GameCycle)
	AND 00000111b ;Moves bullet every 32 frames
	OR A
	RET NZ ;don't Move bullet
		
	;bullet Dissapear at old position
	LD H,90
	LD A,(PamBulletL)
	LD L,A
	XOR A	
	LD (HL),A
		 			
	;Count bullet New position
	LD HL,PamBulletDirec
	LD A,(HL)
	LD B,A; Direction IN B
	INC HL; HL indicate bullet position
	LD A,(HL);position IN A
	DEC A;going Left
	ADD A,B
	ADD A,B;going Right
	LD (HL),A;write New position	
	
;check if bullet reach edge
	CP 96
	JR Z,BulletReachEdge
	CP 127
	JR Z,BulletReachEdge
	CP 128
	JR Z,BulletReachEdge
	CP 159
	JR Z,BulletReachEdge
		
;check if bullet Hit Zombie		

;bullet vs Right Zombie
BulletHitRightZombie	
	;check if Right Zombie Exists
	PUSH AF
	LD A,(RightZombieStatus)
	CP 1
	JR NZ,BulletHitLeftZombie;Zombie don't exist, not test collision
	
		
	;Right Zombie Exists, check collision
	POP AF
	PUSH AF
	AND 00011111b
	LD B,A; bullet pos (0-31) IN B
		
	LD A,(RightZombieL)
	AND 00011111b; Right Zombie pos IN A
	CP B ;compared to bullet position
	JR Z,HitRightZombie
	JR C,HitRightZombie;position should be equal OR more
	
		
BulletHitLeftZombie
	POP AF
	PUSH AF
	LD A,(LeftZombieStatus)
	CP 1
	JR NZ,DisplayPamBullet;Zombie don't exist, not test collision
	
	;Left Zombie Exists, check collision	
	POP AF
	PUSH AF
	AND 00011111b
	LD B,A; bullet pos (0-31) IN B
		
	LD A,(LeftZombieL)
	AND 00011111b
	INC A;  Left Zombie pos (Right edge)IN A
	CP B ;compared to bullet position
	JR Z,HitLeftZombie
	JR NC,HitLeftZombie;position should be equal OR less
		

	;Display bullet at New position
DisplayPamBullet
	POP AF		
	LD L,A
	LD H,80 ;position
	LD DE,PamBullet
	LD BC,257 ;1,1
	CALL DrawTile ;DraWing bullet
	RET
		
;-------		
BulletReachEdge			
	XOR A
	LD HL,PamBulletStatus
	LD (HL),A;bullet status=0,kill bullet
	RET
		
HitRightZombie
	POP AF
	;kill bullet
	XOR A
	
	LD HL,PamBulletStatus
	LD (HL),A;bullet status=0,kill bullet
			
	LD HL,RightZombieEnergy
	DEC (HL) ;decrease energy
	LD A,(HL)
	OR A
	RET NZ;energy decreased but not 0 so don't kill Zombie yet
		
	LD A,2
	LD HL,RightZombieStatus
	LD (HL),A; set Zombie status to dying
	INC HL
	LD A,24;set dying Time
	LD (HL),A		
	
	LD HL,(Score)
	INC HL
	LD (Score),HL;increaseScore	
	CALL CountScore	
	CALL TypeScore	
	RET
		
HitLeftZombie
	POP AF
	;kill bullet
	XOR A
	LD HL,PamBulletStatus
	LD (HL),A;bullet status=0,kill bullet
		
	LD HL,LeftZombieEnergy
	DEC (HL) ;decrease energy
	LD A,(HL)
	OR A
	RET NZ;energy decreased but not 0 so don't kill Zombie yet
			
	LD A,2
	LD HL,LeftZombieStatus
	LD (HL),A; set Zombie status to dying
	INC HL
	LD A,24;set dying Time
	LD (HL),A		
	
	LD HL,(Score)
	INC HL
	LD (Score),HL;increaseScore	
	CALL CountScore	
	CALL TypeScore
	RET
		
;---------------------
AnimateZombieSpit

AnimRightSpit
	;check if Spit Exists
	LD A,(RightSpitStatus)
	OR A
	JR Z,NoRightSpit
				
;check if Move Spit		
	LD A,(GameCycle)
	AND 00000111b ;Moves Spit every 32 frames
	OR A
	JR NZ,AnimRightSpit2 ;don't Move Spit,just Display
		
	;Spit Dissapear at old position
	
	LD HL,RightSpitL
	PUSH HL	
	LD L,(HL)
	LD H,90
	XOR A	
	LD (HL),A ; clear using attribute
		 			
	;Count Spit New position
	POP HL
	DEC (HL);going Left
	
	LD A,(HL)	
	;check if Hit Pamela		
	CP 80;check if reach Pamela position
	JR NZ,CheckRightSpitEdge
	;reach position
	LD A,(CrouchStatus);croucHing=avoid Spit
	OR A	
	JR NZ,CheckRightSpitEdge;croucHing,not Die
	LD A,1
	LD (PamDeathStatus),A;set status to Dead
	; check if reach edge
CheckRightSpitEdge	
	LD A,(HL)
	CP 64
	JR NZ,AnimRightSpit2
	;reach edge, kill bullet
	XOR A
	LD (RightSpitStatus),A
	JR AnimLeftSpit	
		
AnimRightSpit2	
;Display
	LD HL,RightSpitL
	LD L,(HL)		
	LD H,80 ;position
	LD DE,RSpitBullet
	LD BC,257 ;1,1
	CALL DrawTile ;DraWing bullet
	JR AnimLeftSpit	
;-----
NoRightSpit		
	LD A,(RightZombieStatus)
	CP 1;check if Zombie Exists AND alive
	JR NZ, AnimLeftSpit;dying Zombie does not Spit
		
	;New Spitting		
	LD A,1
	LD (RightSpitStatus),A
		
	LD A,(RightZombieL)
	LD (RightSpitL),A;New Initial position
	LD A,44
	LD (RightZombieSpitTime),A ;set Spitting animation
							
;----------------
AnimLeftSpit
		
	;check if Spit Exists
	LD A,(LeftSpitStatus)
	OR A
	JR Z,NoLeftSpit
				
;check if Move Spit		
	LD A,(GameCycle)
	AND 00000111b ;Moves Spit every 32 frames
	OR A
	JR NZ,AnimLeftSpit2 ;don't Move Spit,just Display
		
	;Spit Dissapear at old position
	
	LD HL,LeftSpitL
	PUSH HL	
	LD L,(HL)
	LD H,90
	XOR A	
	LD (HL),A ; clear using attribute
		 			
	;Count Spit New position
	POP HL
	INC (HL);going Right
	
	LD A,(HL)	
	;check if Hit Pamela		
	CP 79;check if reach Pamela position
	JR NZ,CheckLeftSpitEdge
	;reach position
	LD A,(CrouchStatus);croucHing=avoid Spit
	OR A	
	JR NZ,CheckLeftSpitEdge;croucHing,not Die
	LD A,1
	LD (PamDeathStatus),A;set status to Dead
	; check if reach edge
CheckLeftSpitEdge	
	LD A,(HL)
	CP 95
	JR NZ,AnimLeftSpit2
	;reach edge, kill bullet
	XOR A
	LD (LeftSpitStatus),A
	RET	
		
AnimLeftSpit2	
;Display
	LD HL,LeftSpitL
	LD L,(HL)		
	LD H,80 ;position
	LD DE,LSpitBullet
	LD BC,257 ;1,1
	CALL DrawTile ;DraWing bullet
	RET	
;-----
NoLeftSpit		
	LD A,(LeftZombieStatus)
	CP 1;check if Zombie Exists AND alive
	RET NZ 
		
	;New Spitting		
	LD A,1
	LD (LeftSpitStatus),A
		
	LD A,(LeftZombieL)
	LD (LeftSpitL),A;New Initial position
	LD A,44
	LD (LeftZombieSpitTime),A ;set Spitting animation
		
		
	RET		
			
;---------------AMIMATE Zombie----------
AnimateZombie	
	
;-------	
AnimRightZombie
	LD A,(RightZombieStatus)
	OR A
	JP Z,NoRightZombie; no Right Zombie, go to Left Zombie	
	
	CP 2
	JR Z,RightZombieDie;Zombie dying
		
	LD HL,RightZombieSpitTime
	LD A,(HL)
	OR A
	JP NZ,RightZombieSpit
				
	LD A,(ZombieMoveCycle)
	OR A ;
	JR NZ,AnimRightZombie2;no Change position
	
	;delete old Zombie frame
	LD D,90
	LD HL,RightZombieL
	LD E,(HL)
	INC E
	
	LD B,5
ClearRightZombie
	;using attributes clear old frame of Zombie after position Change			
	XOR A	
	LD (DE),A
	LD A,E
	ADD A,32
	LD E,A
	DJNZ ClearRightZombie	
			
	DEC (HL);Change Zombie position
	
	
AnimRightZombie2	
	LD BC,517
	 ;Read Zombie position
	LD H,80
	LD A,(RightZombieL)
	LD L,A		
	
		
;determine Zombie Frame		
	;determine frame	
	LD A,(ZombieMoveSpeed)
	RRA ; (Cycles needed to Move)/2
	LD D,A
	LD A,(ZombieMoveCycle);Read Cycles Left to Move
	INC A
	CP D ;checks if Zombie is is first phase of Move OR second
	JR NC,AnimRightZombie3	
		
	LD DE,ZombieR2	
	CALL DrawTile
	JR RightZombieGetPam	
	
		
AnimRightZombie3
	LD DE,ZombieR1	
	CALL DrawTile
	JR AnimLeftZombie
	
		
RightZombieGetPam
	;check if Zombie gets Pamela
	LD A,(RightZombieL)
	CP 81
	JR NZ,AnimLeftZombie ;doesn't get
	LD A,1
	LD (PamDeathStatus),A	
				
	JR AnimLeftZombie		
		
			
;----------		
RightZombieDie
	XOR A
	OUT (254),A
	LD HL,RightZombieDieTime
	DEC (HL); Time of Zombie Die animation-1
	LD A,(HL)
	OR A
	JR Z,RightZombieDieEnd
	
	LD B,116
DieSound1 DJNZ DieSound1
	LD A,16
	OUT (254),A	
		
	;determine phase of dying animation
	LD A,(HL)
	LD DE,ZombieR1Die
	CP 12
	JR NC,RightZombieDie2
	LD DE,ZombieR2Die			
RightZombieDie2
	;Read Zombie position AND Draw sprite
	LD H,80
	LD A,(RightZombieL)
	LD L,A	
	LD BC,517
		
	CALL DrawTile
	JR AnimLeftZombie
				
RightZombieDieEnd
	DEC HL; go to r. Zombie status
	XOR A
	LD (HL),A; Zombie not Exists

	;clear Zombie sprite
	LD A,(RightZombieL)
	CALL ClearDeadZombie	
	JR AnimLeftZombie
		
;----------
RightZombieSpit
;decrease Spitting Time
	XOR A
	OUT (254),A
	DEC (HL)
;Display Spitting sprite					
	LD H,80
	LD A,(RightZombieL)
	LD L,A	
	LD BC,517
	LD DE,ZombieRSpit
	CALL DrawTile
	LD A,16
	OUT (254),A
	JR AnimLeftZombie	
	
		
			
;----
NoRightZombie

;Zombie apears on random condition		
	LD A,(23672);use Time Counter to geneRate random numbers
	LD H,A
	LD L,D
	LD A,(HL);should give random number
	AND 00000011b
	OR A
	JR NZ,AnimLeftZombie; Zombie not appears
	;make Right Zombie appear	
	LD HL,RightZombieStatus
	INC (HL); set status to 1
	INC HL
	INC HL
	LD A,94
	LD (HL),A ;set position
	INC HL
	LD A,(ZombieHP)
	LD (HL),A; set energy					
	
		
		;go to anim Left Zombie			
;----------------------	
AnimLeftZombie
	LD A,(LeftZombieStatus)
	OR A
	JP Z,NoLeftZombie;no Left Zombie ,End DraWing Zombies
	CP 2
	JR Z,LeftZombieDie
		
	LD HL,LeftZombieSpitTime
	LD A,(HL)
	OR A
	JP NZ,LeftZombieSpit		
		
	
	LD A,(ZombieMoveCycle)
	OR A ;Zombie Moves only if Cycle is 0
	JR NZ,AnimLeftZombie2;no Change position
	
	;delete old Zombie frame
	LD D,90
	LD HL,LeftZombieL
	LD E,(HL)
	
	LD B,5
ClearLeftZombie
	;using attributes clear old frame of Zombie after position Change			
	XOR A	
	LD (DE),A
	LD A,E
	ADD A,32
	LD E,A
	DJNZ ClearLeftZombie	
			
	INC (HL);Change Zombie position
	
AnimLeftZombie2	
	
	 ;Read Zombie position
	LD H,80
	LD A,(LeftZombieL)
	LD L,A		
	LD BC,517
	
	;determine frame	
	LD A,(ZombieMoveSpeed)
	RRA ; Divide by 2 Cycles needed to Move
	LD D,A
	LD A,(ZombieMoveCycle);Read Cycles Left to Move
	INC A
	CP D ;checks if Zombie is is first phase of Move OR second
	JR NC,AnimLeftZombie3	
		
	
	LD DE,ZombieL2	
	CALL DrawTile
	JR LeftZombieGetPam
		
AnimLeftZombie3
	
	LD DE,ZombieL1	
	CALL DrawTile
	RET
		
LeftZombieGetPam
	;check if Zombie gets Pamela
	LD A,(LeftZombieL)
	CP 77
	RET NZ ; not get
	LD A,1	
	LD (PamDeathStatus),A; get=Pamela Dead	
	RET
		
LeftZombieDie
	XOR A
	OUT (254),A
	LD HL,LeftZombieDieTime
	DEC (HL); Time of Zombie Die animation-1
	LD A,(HL)
	OR A
	JR Z,LeftZombieDieEnd
	
	LD B,116
DieSound2 DJNZ DieSound2
	LD A,16
	OUT (254),A
	
	;determine phase of dying animation	
	LD A,(HL)	
	LD DE,ZombieL1Die
	CP 12
	JR NC,LeftZombieDie2
	LD DE,ZombieL2Die			
LeftZombieDie2
	;Read Zombie position AND Draw sprite
	LD H,80
	LD A,(LeftZombieL)
	LD L,A	
	LD BC,517
		
	CALL DrawTile
	RET ;End of DraWing Zombies
				
LeftZombieDieEnd
	DEC HL; go to L. Zombie status
	XOR A
	LD (HL),A; Zombie not Exists

	;clear Zombie sprite
	LD A,(LeftZombieL)
	CALL ClearDeadZombie	
	RET
;------		
NoLeftZombie

;Zombie apears on random condition		
	LD A,(23672);use Time Counter to geneRate random numbers
	LD H,A
	LD L,D
	LD A,(HL);should give random number
	AND 00000011b
	OR A
	RET NZ; Zombie not appears
	;make Right Zombie appear	
	LD HL,LeftZombieStatus
	INC (HL); set status to 1
	INC HL
	INC HL
	LD A,64
	LD (HL),A ;set position					
	INC HL
	LD A,(ZombieHP)
	LD (HL),A; set energy		
		
	RET
		
;----------
LeftZombieSpit
;decrease Spitting Time
	XOR A
	OUT (254),A
	DEC (HL)
;Display Spitting sprite					
	LD H,80
	LD A,(LeftZombieL)
	LD L,A	
	LD BC,517
	LD DE,ZombieLSpit
	CALL DrawTile
	LD A,16
	OUT (254),A
	RET				
		
;-------------				

ClearDeadZombie
	LD L,A
	LD B,5
	LD H,90
	
ClearDeadZombie2
	;using attributes clear old frame of Zombie after position Change			
	XOR A	
	LD (HL),A
	INC HL
	LD (HL),A
	DEC HL
	LD A,L
	ADD A,32
	LD L,A
	DJNZ ClearDeadZombie2			
	RET
		
;-------------------------
DisplayRat
	;Change Move Cycle
	LD HL,RatMoveCycle
	LD A,(HL)
	INC A
	CP 18 ;Time needed to Move Rat
	JR NZ,WriteRatTime
	;reset Rat Time
	XOR A		
WriteRatTime
	LD (HL),A	

;check if Rat should be Moved
	
	OR A; is it Time to Move
	JR NZ,DisplayRat3
	
	
	;Move Rat	
	;clear Rat at old position
	LD HL,RatL
	LD D,90
	LD E,(HL)
	XOR A; clear using attribute
	LD (DE),A
	INC DE
	LD (DE),A	
	;Change position			
	;Left OR Right
	LD A,(RatDir)
	OR A		
	JR Z,DisplayRat2
	INC (HL);Right
	INC (HL)		
DisplayRat2
	DEC (HL);Left
		
;check if Rat reach screen edge, if so, geneRate New Rat
	LD A,(HL)
	CP 191
	JR Z,NewRat1
	CP 223
	JR Z,NewRat1		
	JR EndNewRat		 
NewRat1
	LD A,R
	RRA
	RRA	;random number	
	
	AND 1
	LD (RatDir),A		
	
	LD B,222;Start position when Rat going Left
	OR A
	JR Z,NewRat2
	LD B,192;Start position when Rat going Right
NewRat2		
	LD A,B	
EndNewRat	
	LD (HL),A
					
DisplayRat3
		
;determine Rat frame		
	LD A,(RatDir)
	LD HL,Rat01
	OR A
	JR Z,RatFrame1
	LD HL,Rat03	
RatFrame1		
	LD A,(RatMoveCycle)
	CP 10
	JR NC,RatFrameDet
	LD DE,18
	ADD HL,DE; New frame (rar size=18)		
RatFrameDet		
	EX DE,HL
	;Rat frame determined
		
		
	LD BC,513
	LD H,80
	LD A,(RatL)
	LD L,A
	CALL DrawTile	
	
;check if Rat Hit Pamela
	LD A,(RatL)
	CP 208
	JR Z,DisplayRat4
	CP 207
	JR NZ,DisplayRat5
	
DisplayRat4
	;position of rat equal to Pamela, check if Pamela jumping
	LD A,(PamJumpTime)
	OR A
	RET NZ ;Pamela jumping
	;Pamela not jumping=Dead			
	LD A,1
	LD (PamDeathStatus),A;set status to Dead			
		
DisplayRat5		
	RET		
			
;------------------		
PamBulletStatus	.BYTE 0 ;0-not Exists,1-Exists
InitialPamFire	.BYTE 0 ;initial phase of fire
PamBulletDirec	.BYTE 0 ;0 Left,1 Right
PamBulletL		.BYTE 0

Score			.WORD 0
ScoreDecim		
Score1		.BYTE 31;0
Score2		.BYTE 31;0
Score3		.BYTE 31;0
Score4		.BYTE 31;0
Score5		.BYTE 31;0
			.BYTE 31
			.BYTE 31
			.BYTE 0;End of text
		
HiScore		.WORD 0			

RestoreTime		.BYTE 0 ;used to Indicate if when Starting Level 
				              ;full Time should be Restored		
TimeCycle		.BYTE 0
Time			.BYTE 24
TimeDecim
Time1			.BYTE 0
Time2			.BYTE 0	
Time3			.BYTE 0
			    .BYTE 0
		
				
Stage			.BYTE 1		
StageStatus		.BYTE 0; 0-going, 1-completed
		
LevelDirection	.BYTE 0
Distance		.BYTE 1
GameControl		.BYTE 0 ;0-keyboard,1-joystick		
PamDeathStatus	.BYTE 0;0-alive,1-Dead
Lives			.BYTE 0
Direction 		.BYTE 0 ; 0-Left,1-Right
CrouchStatus	.BYTE 0
PamJumpTime		.BYTE 0
		
GameCycle 		.BYTE 0
ZombieMoveCycle	.BYTE 0
SpitMoveCycle	.BYTE 0			
SpitExists		.BYTE 0		
		
		
ZombieHP			.BYTE 3;how many Hits every Zombie needs to Die		
ZombieMoveSpeed		.BYTE 32; how many Cycles need to pass to make Zombie Move		
SpitMoveSpeed		.BYTE 0
			
RightZombieStatus 	.BYTE 1; 0-no Zombie,1-alive,2-dying
RightZombieDieTime	.BYTE 0
RightZombieL		.BYTE 94
RightZombieEnergy	.BYTE 3
RightZombieSpitTime	.BYTE 0
						
LeftZombieStatus	.BYTE 1
LeftZombieDieTime	.BYTE 0				
LeftZombieL			.BYTE 64
LeftZombieEnergy	.BYTE 3
LeftZombieSpitTime	.BYTE 0

RightSpitStatus		.BYTE 0
RightSpitL			.BYTE 92
		
LeftSpitStatus		.BYTE 0
LeftSpitL			.BYTE 0

RatExists			.BYTE 0
RatL				.BYTE 222
RatDir				.BYTE 0
RatMoveCycle		.BYTE 0
		
						
Stage1Data
	.BYTE 110; Level Time
	.BYTE 1; Level Direction (1 Right,0-Left)	
	.BYTE 3; Zombie Hitpoints
	.BYTE 28; Zombie Speed
	.BYTE 1; Spit Exists (0-no,1-yes)
	.BYTE 0;Rat Exists (0-no,1-yes)			
Stage2Data
	.BYTE 105; Level Time	
	.BYTE 0
	.BYTE 4
	.BYTE 44
	.BYTE 0
	.BYTE 1			
Stage3Data
	.BYTE 110; Level Time
	.BYTE 1; Level Direction
	.BYTE 3
	.BYTE 24
	.BYTE 1
	.BYTE 0				
Stage4Data
	.BYTE 105; Level Time
	.BYTE 0
	.BYTE 2
	.BYTE 26
	.BYTE	0
	.BYTE 1		
Stage5Data
	.BYTE 110; Level Time
	.BYTE 1; Level Direction
	.BYTE 2
	.BYTE 14		
Stage6Data
	.BYTE 100; Level Time
	.BYTE 0
	.BYTE 1
	.BYTE 30
	.BYTE 1
	.BYTE 1	


;---------
	INCLUDE <Routines.asm>
	INCLUDE <Sounds.asm>
	INCLUDE <Graphics.asm>
	INCLUDE <BckGraph.asm>
	INCLUDE <FinalStage.asm>
;---------
	
			SAVESNA "Pamela.sna",StartGame
